Naar hoofdinhoud gaan
GET
/
v1
/
schedules
Lijst Schema's
curl --request GET \
  --url https://api.olostep.com/v1/schedules \
  --header 'Authorization: Bearer <token>'
{
  "schedules": [
    {
      "team_id": "<string>",
      "schedule_id": "<string>",
      "type": "recurring",
      "endpoint": "<string>",
      "payload": {},
      "cron_expression": "<string>",
      "execute_at": "2023-11-07T05:31:56Z",
      "expression_timezone": "<string>",
      "text": "<string>",
      "schedule_name": "<string>",
      "schedule_group": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "state": "ENABLED",
      "method": "GET"
    }
  ],
  "count": 123
}

Autorisaties

Authorization
string
header
vereist

Bearer authenticatie header in de vorm van Bearer , waarbij jouw auth token is.

Queryparameters

include_deleted
enum<string>
standaard:false

Stel in op 'true' om verwijderde schema's in de respons op te nemen. Standaard worden verwijderde schema's eruit gefilterd.

Beschikbare opties:
true,
false

Respons

Succesvolle respons met lijst van schema's.

schedules
object[]

Array van schema-objecten

count
integer

Totaal aantal schema's